/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID,     COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR);
	// 項目長設定
	setMaxLength(PRM_TXT_USER_ID   , LEN_USER_ID   );
	setMaxLength(PRM_TXT_USER_NAME , LEN_USER_NAME );
	// 一覧背景色設定
	setTableColor("list");
	// フォーカス設定
	if (ARY_FIELDS_ID.length > 0) {
		setFocus(ARY_FIELDS_ID[0]);
	}
	// モード設定
	if (MODE == 1) {
		setButtonVisibility("btnToCard",0);
	}
}

/**
 * サーバー通信処理
 * @param objForm フォームオブジェクト
 * @param cmd     コマンド
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm, cmd) {
	// 入力チェック
	if (validate()) {
		// サーバー通信(入力エラー無の場合)
		doSubmit(objForm, cmd);
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate() {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);
	// 入力チェック
	var aryMessage = new Array();
	checkCode    (PRM_TXT_USER_ID   , NAM_USER_ID   , aryMessage);
	checkCode    (PRM_PLT_AUTHORITY , NAM_AUTHORITY , aryMessage);
	checkNumber  (PRM_PLT_DELETE    , NAM_DELETE    , aryMessage);
	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}

function setButtonVisibility(target , num) {
	var objTarget = getObject(target);
	if (num == 0) {
		objTarget.style.display = "none";
	} 
	if (num == 1) {
		objTarget.style.display = "block";
	}
}
